Bug 2488 - libads/ldap.c: "LDAPMod **" and "ADS_MODLIST"
libads/ldap.c: "LDAPMod **" and "ADS_MODLIST"
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: libsmbclient
3.0.11
SGI IRIX
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-18 12:36 UTC by Jason Mader
Modified: 2005-08-24 10:22 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Mader 2005-03-18 12:36:20 UTC
Compiling libads/ldap.c
cc-1119 cc: WARNING File = libads/ldap.c, Line = 834
  The "return" expression type differs from the function return type.

        return mods;
               ^

cc-1515 cc: WARNING File = libads/ldap.c, Line = 871
  A value of type "LDAPMod **" cannot be assigned to an entity of type
          "ADS_MODLIST".

                *mods = modlist;
                      ^

cc-1164 cc: WARNING File = libads/ldap.c, Line = 1009
  Argument of type "ADS_MODLIST" is incompatible with parameter of type
          "LDAPMod **".

        ret = ldap_add_s(ads->ld, utf8_dn, mods);
                                           ^
Comment 1 Gerald (Jerry) Carter 2005-03-22 09:01:38 UTC
Fixed.
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:22:31 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.